ResourceLoader (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.resource.loader.ResourceLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.resource.loader
Class ResourceLoader

    java.lang.Object
      org.apache.velocity.runtime.resource.loader.ResourceLoader

Direct Known Subclasses:
  ClasspathResourceLoader, DataSourceResourceLoader, FileResourceLoader, JarResourceLoader

public abstract class ResourceLoader
extends java.lang.Object

This is abstract class the all text resource loaders should extend.

Version:
  $Id: ResourceLoader.java,v 1.14.4.1 2004/03/03 23:23:02 geirm Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary
`protected java.lang.String` | `className` Class name for this loader, for logging/debuggin purposes.
`protected boolean` | `isCachingOn` Does this loader want templates produced with it cached in the Runtime.
`protected long` | `modificationCheckInterval` This property will be passed on to the templates that are created with this loader.
`protected RuntimeServices` | `rsvc`

Constructor Summary
`ResourceLoader()`

Method Summary
`void` | `commonInit(RuntimeServices rs, org.apache.commons.collections.ExtendedProperties configuration)` This initialization is used by all resource loaders and must be called to set up common properties shared by all resource loaders
`java.lang.String` | `getClassName()` Return the class name of this resource Loader
`abstract long` | `getLastModified(Resource resource)` Get the last modified time of the InputStream source that was used to create the template.
`long` | `getModificationCheckInterval()` Get the interval at which the InputStream source should be checked for modifications.
`abstract java.io.InputStream` | `getResourceStream(java.lang.String source)` Get the InputStream that the Runtime will parse to create a template.
`abstract void` | `init(org.apache.commons.collections.ExtendedProperties configuration)` Initialize the template loader with a a resources class.
`boolean` | `isCachingOn()` The Runtime uses this to find out whether this template loader wants the Runtime to cache templates created with InputStreams provided by this loader.
`abstract boolean` | `isSourceModified(Resource resource)` Given a template, check to see if the source of InputStream has been modified.
`void` | `setCachingOn(boolean value)` Set the caching state.
`void` | `setModificationCheckInterval(long modificationCheckInterval)` Set the interval at which the InputStream source should be checked for modifications.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isCachingOn

    protected boolean isCachingOn

  Does this loader want templates produced with it cached in the Runtime.

### modificationCheckInterval

    protected long modificationCheckInterval

  This property will be passed on to the templates that are created with this loader.

### className

    protected java.lang.String className

  Class name for this loader, for logging/debuggin purposes.

### rsvc

    protected RuntimeServices rsvc

Constructor Detail

### ResourceLoader

    public ResourceLoader()

Method Detail

### commonInit

    public void commonInit(RuntimeServices rs,
                           org.apache.commons.collections.ExtendedProperties configuration)

  This initialization is used by all resource loaders and must be called to set up common properties shared by all resource loaders

### init

    public abstract void init(org.apache.commons.collections.ExtendedProperties configuration)

  Initialize the template loader with a a resources class.

### getResourceStream

    public abstract java.io.InputStream getResourceStream(java.lang.String source)
                                                   throws ResourceNotFoundException

  Get the InputStream that the Runtime will parse to create a template.

  Throws:
    `ResourceNotFoundException`

### isSourceModified

    public abstract boolean isSourceModified(Resource resource)

  Given a template, check to see if the source of InputStream has been modified.

### getLastModified

    public abstract long getLastModified(Resource resource)

  Get the last modified time of the InputStream source that was used to create the template. We need the template here because we have to extract the name of the template in order to locate the InputStream source.

### getClassName

    public java.lang.String getClassName()

  Return the class name of this resource Loader

### setCachingOn

    public void setCachingOn(boolean value)

  Set the caching state. If true, then this loader would like the Runtime to cache templates that have been created with InputStreams provided by this loader.

### isCachingOn

    public boolean isCachingOn()

  The Runtime uses this to find out whether this template loader wants the Runtime to cache templates created with InputStreams provided by this loader.

### setModificationCheckInterval

    public void setModificationCheckInterval(long modificationCheckInterval)

  Set the interval at which the InputStream source should be checked for modifications.

### getModificationCheckInterval

    public long getModificationCheckInterval()

  Get the interval at which the InputStream source should be checked for modifications.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.